﻿using System;
using System.Diagnostics;
using System.IO;

namespace HelloWorldSVRest
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                SmartVault smartVault = new SmartVault();
                Authenticate(smartVault);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                Console.WriteLine(e.StackTrace);
            }

            Console.WriteLine("\nPress any key to exit");
            Console.ReadKey();
        }

        private static void Authenticate(SmartVault smartVault)
        {
            // Autonomous authentication
            Console.Write("Enter your email address: ");
            string email = Console.ReadLine();

            Console.Write("Have you authorized this application? [y/n]: ");
            string response = Console.ReadLine();

            if (!response.ToLower().StartsWith("y"))
            {
                string url = smartVault.RequestAuthorization(email);
                Process.Start(url);
                Console.WriteLine("\nPress 'Enter' once you have allowed this applicatoin.");
                Console.ReadLine();
            }

            smartVault.Authenticate(email);
        }
    }
}
